Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::StreamPicInput Class Reference

Picture input class. More...

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamPicInput:
[legend]
Collaboration diagram for dirac::StreamPicInput:
[legend]

List of all members.

## Public Member Functions

- StreamPicInput ()
    Default Constructor.
- StreamPicInput (std::istream *ip_pic_ptr, const SourceParams &sparams)
    Constructor.
- virtual ~StreamPicInput ()
    Destructor.
- virtual void Skip (const int n)=0
    Skip n frames of input.
- virtual bool ReadNextPicture (Picture &mypic)=0
    Read the next picture frame/field from the file.
- SourceParams & GetSourceParams () const
    Get the source parameters.
- bool End () const
    Returns true if we're at the end of the input, false otherwise.

## Protected Attributes

- SourceParams m_sparams
    Source parameters.
- std::istream * m_ip_pic_ptr
    Input stream.

## Detailed Description

Abstract Class for reading picture data from a stream.

## Constructor & Destructor Documentation

dirac::StreamPicInput::StreamPicInput | ( |  | ) |

dirac::StreamPicInput::StreamPicInput | ( | std::istream * | ip_pic_ptr,
|  | const SourceParams & | sparams |
| ) |  |  |

Constructor, takes

Parameters:

  | ip_pic_ptr | input stream to read from
  | sparams | Source parameters

virtual dirac::StreamPicInput::~StreamPicInput | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void dirac::StreamPicInput::Skip | ( | const int | n | ) | `[pure virtual]`

Implemented in dirac::StreamFrameInput, and dirac::StreamFieldInput.

virtual bool dirac::StreamPicInput::ReadNextPicture | ( | Picture & | mypic | ) | `[pure virtual]`

Implemented in dirac::StreamFrameInput, and dirac::StreamFieldInput.

SourceParams& dirac::StreamPicInput::GetSourceParams | ( |  | ) | const`[inline]`

References m_sparams.

Referenced by dirac::FileStreamInput::GetSourceParams(), and dirac::MemoryStreamInput::GetSourceParams().

bool dirac::StreamPicInput::End | ( |  | ) | const

## Member Data Documentation

SourceParams dirac::StreamPicInput::m_sparams`[mutable, protected]`

Referenced by GetSourceParams().

std::istream* dirac::StreamPicInput::m_ip_pic_ptr`[protected]`

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.